

drivers/scsi/qla2xxx/qla_def.h:1139: warning: unnamed struct/union that defines no instances
drivers/scsi/qla2xxx/qla_iocb.c:440: union has no member named `standard'

Older gcc's don't understand anonymous unions.


---

 drivers/scsi/qla2xxx/qla_def.h |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/scsi/qla2xxx/qla_def.h~qla2xxx-build-fix drivers/scsi/qla2xxx/qla_def.h
--- 25/drivers/scsi/qla2xxx/qla_def.h~qla2xxx-build-fix	2004-01-15 22:09:17.000000000 -0800
+++ 25-akpm/drivers/scsi/qla2xxx/qla_def.h	2004-01-15 22:10:28.000000000 -0800
@@ -1135,8 +1135,8 @@ typedef union {
 	uint16_t extended;
 	struct {
 		uint8_t reserved;
-		uint8_t standard;;
-	};
+		uint8_t standard;
+	} id;
 } target_id_t;
 
 #define SET_TARGET_ID(ha, to, from)			\
@@ -1144,7 +1144,7 @@ do {							\
 	if (HAS_EXTENDED_IDS(ha))			\
 		to.extended = cpu_to_le16(from);	\
 	else						\
-		to.standard = (uint8_t)from;		\
+		to.id.standard = (uint8_t)from;		\
 } while (0)
 
 /*

_
